Xapian::ExpandDecider Class Referenceabstract

Virtual base class for expand decider functor. More...

`#include <expanddecider.h>`

Inheritance diagram for Xapian::ExpandDecider:
[legend]

## Public Member Functions

| ExpandDecider ()
| Default constructor.
virtual bool | operator() (const std::string &term) const =0
| Do we want this term in the ESet?
virtual | ~ExpandDecider ()
| Virtual destructor, because we have virtual methods.
ExpandDecider * | release ()
| Start reference counting this object.
const ExpandDecider * | release () const
| Start reference counting this object.

## Detailed Description

Virtual base class for expand decider functor.

## Member Function Documentation

## operator()()

virtual bool Xapian::ExpandDecider::operator() | ( | const std::string & | term | ) | const

pure virtual

Do we want this term in the ESet?

Parameters

  term | The term to test.

Implemented in Xapian::ExpandDeciderAnd, Xapian::ExpandDeciderFilterPrefix, and Xapian::ExpandDeciderFilterTerms.

## release() [1/2]

ExpandDecider * Xapian::ExpandDecider::release | ( |  | ) |

inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated ExpandDecider object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

## release() [2/2]

const ExpandDecider * Xapian::ExpandDecider::release | ( |  | ) | const

inline

Start reference counting this object.

You can transfer ownership of a dynamically allocated ExpandDecider object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

The documentation for this class was generated from the following file:

- xapian/expanddecider.h